<!--
/**
 * jux.wtf - Consolidate, maintain, share and search your nomenclature.
 * Copyright (C) 2021 Daniel Holm
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
-->

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <title>jux.wtf</title>
</head>

<template name="layout">  
  <body>
    {{> Template.dynamic template=main}}  
  </body>
  
</template>

<template name="front">
  <div id="wrapper">
    <header> 
      <h1>Consolidate, maintain, share and search your nomenclature</h1>
      <h2>Perfect for sharing vocabulary within organizations, teams and also friend-bubbles</h2>
    </header>
    <main>
   
    </main>
  </div>
</template>

<template name="dictionaries">
  {{#if Template.subscriptionsReady}}
    <div id="wrapper">
      <h1>Your Dictionaries</h1>
      <ul>
        {{#each dictionary}}
          <li>
            <a href="/dictionary/{{this.identifier}}">{{this.name}}</a>
          </li>
        {{/each}}
      </ul>
    </div>
  {{/if}}
</template>

<template name="dictionary">
  {{#if Template.subscriptionsReady}}
    <div id="wrapper">
      <h1>{{dictionary.name}}</h1>
      <ul>
        {{#each word}}
          <li>
            <a href="/dictionary/{{this.dictionary}}/{{this.identifier}}">{{this.word}}</a>
          </li>
        {{/each}}
      </ul>
    </div>
  {{/if}}
</template>

<template name="word">
  {{#if Template.subscriptionsReady}}
    <div id="wrapper">  
      {{#if detail}}
      
        <h1>{{detail.word}}</h1>

        <h2>Definition of <span class="italic">{{detail.word}}</span></h2>
        <p>{{detail.description}}</p>
      {{else}}
        <h1>Whuuups, this dictionary does not have a definition for the word you provided!</h1>
      {{/if}}
    </div>
  {{/if}}
</template>

<template name="not_found">
  <div id="wrapper">
    <h1>Whuuups, the page your are trying find does not exist!</h1>
  </div>
</template>